// Ocean class definition,  describes a field of buttons for one players ships
// Copyright (C) 29.08.97 Marco Dettori and Oliver Obst
//
// $Id: ocean.h,v 0.2 1998/03/16 10:33:34 oliver Exp $

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

#ifndef OCEAN_H
#define OCEAN_H
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qframe.h>

#include "tristate.h"
#include "status.h"

// ----------------------------------------------------------------------------

class Ocean : public QFrame
{
        Q_OBJECT
public:
        Ocean( char len=0, char ships=0, char *lengths=0, char stlen = 11,
               QWidget *parent=0, const char *name=0 );
        virtual ~Ocean();

        virtual void    setBackgroundColor( const QColor &color );
        int    surround( int id );

protected:
        void    resizeEvent( QResizeEvent * );
        
        unsigned char   edge;
        unsigned short  size;
        TriStates       *buttons;
        Status          *st;

public slots:
        virtual void    reset();
        
protected slots:
        virtual void    handleClick();
        
};

#endif OCEAN_H
